---
title: HTMLVideoElement.onleavepictureinpicture
slug: Web/API/HTMLVideoElement/onleavepictureinpicture
tags:
  - API
  - Event Handler
  - Interface
  - Picture-in-Picture
  - Picture-in-Picture API
  - Property
  - Reference
  - Video
  - events
  - pip
---
<div>{{ ApiRef() }}</div>

<p>The <code><strong>onleavepictureinpicture</strong></code> property of the {{domxref("HTMLVideoElement")}} interface is an {{domxref("EventHandler")}} that processes {{domxref("HTMLVideoElement.leavepictureinpicture_event", "HTMLVideoElement.leavepictureinpicture")}} events.</p>

<p>The <code>leavepictureinpicture</code> event fires after the video has succesfully returned to its original container from the picture-in-picture mode.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><em>video</em>.onleavepictureinpicture = <em>functionRef</em>;
</pre>

<h3 id="Value">Value</h3>

<p><code>functionRef</code> is a function name or a <a href="/en-US/docs/Web/JavaScript/Reference/Operators/function">function expression</a>. The function receives a {{domxref("FocusEvent")}} object as its sole argument.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Window_size_logger">Window size logger</h3>

<pre class="brush: html notranslate">&lt;button id="button&gt;Exit Picture-in-Picture&lt;/button&gt;
&lt;video id="video" muted autoplay src=""&gt;&lt;/video&gt;
</pre>

<pre class="brush: js notranslate">const video = document.querySelector('#video');
const button = document.querySelector('#button');

function onExitPip() {
  console.log("Picture-in-Picture mode deactivated!");
}

video.onleavepictureinpicture = onExitPip;

button.onclick = function() =&gt; {
  if (document.pictureInPictureElement) {
    document.exitPictureInPicture();
  }
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Picture-in-Picture','#dom-htmlvideoelement-onleavepictureinpicture','HTMLVideoElement.onleavepictureinpicture')}}</td>
   <td>{{Spec2('Picture-in-Picture')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLVideoElement.onleavepictureinpicture")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Picture-in-Picture_API">Picture-in-Picture API</a></li>
 <li>{{DOMxRef("HTMLVideoElement")}}</li>
</ul>
